Bug 15222 - missing file
missing file
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-03 07:56 EDT by Gerald Teschl
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-19 13:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2000-08-03 07:56:33 EDT
The file "/etc/ntp/step-tickers" is listed in the file list, but it gets
never installed!?
Comment 1 Jeff Johnson 2000-08-03 12:19:54 EDT
The file is not missing, it's marked %ghost.

There is no way that we can distribute the file, as the file contains the names
of NTP servers that should be used to set the clock, and that is up to the
system administrator, not Red Hat.
Comment 2 Gerald Teschl 2000-08-04 04:19:31 EDT
(1) I don't know what "%gohst" really is supposed to do (and the rpm
documentation dosn't
really help). I don't understand what sense it makes to add a file to the
database this way -
will it be removed on extraction of the rpm?
Such files should be tagged as "missingok"! 

(2) I could not find any reference to a file named "step-tickers" in the
documentation. In addition, the file which contains the servers is ntp.conf!
So if the file is nothing good for, remove it from the package.
You should rather add the drift file /etc/ntp/drif as %ghost(missingok)

Comment 3 Jeff Johnson 2000-08-04 09:41:12 EDT
The file /etc/ntp/step-tickers contains the name of one or more hosts to
synchronize
time form before starting ntpd. The only use is in /etc/rc.d/init.d/ntpd.

Marking a file %ghost is useful for files (like step-tickers) that are
configured per machine.
The content of the file is not in the package, but the ownershiip and
permissions are. That
permits "rpm -V" to be used to verify that the file has correct uid, gid, and
permissions no matter what is in the file.

Adding /etc/ntp/drift probably should be marked %config(missingok), we'll get
there eventually.
Comment 4 Jeff Johnson 2000-10-19 13:09:23 EDT
Fixed (/etc/ntp/drift marked with %ghost %config(missingok)) in ntp-4.0.99k-2.

Note You need to log in before you can comment on or make changes to this bug.